<?php


if(!empty($ku)){

$action=htmlspecialchars(trim($_GET['action']));


echo "<div class='event'><h1>ЗАГС</h1></div><div class='content'><div class='block'><div>";

switch($action){

default:
$x=mysql_query("SELECT * FROM `kolhoz_gorod_zaks` WHERE `on`='".$ku['nick']."' OR `ona`='".$ku['nick']."'");
$x=mysql_fetch_assoc($x);

if (($x['date']-6)>time()){
echo'Предложение cделано пользователем <font color="red">'.$x['avtor'].'</font><br/>
День свадьбы: <font color="red">'.date("d-m-Y",$x['date']).'</font>!<br/>
Время: <font color="red">'.date("H:i:s",$x['date']).'</font>.<br/>
Прошу не опаздывать у вас будет час на сборы!';
}else{

if (($x['date']-6)<time() && $x['date']>time()){
if (($ku['pol']==1 && empty($x['onyes'])) || ($ku['pol']!=1 && empty($x['onayes']))){
if($ku['pol']==1){
echo'Согласны ли вы расписаться с '.$x['ona'].'?<br/>';
}else{
echo'Согласны ли вы расписаться с '.$x['on'].'?<br/>';
};

echo '<a href="?zags&action=es">Конечно</a>';

}else{
echo'Здравствуй, '.$ku['nick'].'!<br/>
Сегодня у тебя отвественный и особенный день!<br/>
Ожидай вторую половинку.<br/>';

}
}else{


if (!$ku['gorod_brak']) {
echo'Администрация сайта искрене рада видеть ВАС здесь.<br/>
Здесь вы можете сделать предложение одному из жителей города<br/>';


echo'<form action="?zags&action=go" method="post"><br/>';
echo'Кому делаем предложение:<br/>';
echo '<input name="name" type="text" value=""/>';
echo '<input type="submit" value="Сделать!"/>';
echo '</form>';
}else{
echo"<br/>Вы уже сделали предложение или Вы уже женаты(замужем).<br/>";
echo'<br/>Если вы уже сыграли свадьбу то не в коем случае не заходи в <br/>
<a href="?razvod">Развод (Отказаться от предложения) </a><br/>
Если конечно вы не решили развестись со своей половинкой<br/>';}}}
break;



case 'es':
$x=mysql_query("SELECT * FROM `kolhoz_gorod_zaks` WHERE `on`='".$ku['nick']."' OR `ona`='".$ku['nick']."'");
if(!mysql_num_rows($x)){echo 'Ну и что ты здесь забыл?';break;};
$x=mysql_fetch_assoc($x);

if($ku['pol']==1){
if(!empty($x['onyes'])){echo 'Вы уже согласились!';break;};
mysql_query("UPDATE `kolhoz_gorod_zaks` SET `onyes`='yes' WHERE `id`='".$x['id']."'");
echo 'Ваше соглашение принято! Ожидайте соглашения второй стороны!';
}else{
if(!empty($x['onayes'])){echo 'Вы уже согласились!';break;};
mysql_query("UPDATE `kolhoz_gorod_zaks` SET `onayes`='yes' WHERE `id`='".$x['id']."'");
echo 'Ваше соглашение принято! Ожидайте соглашения второй стороны!';
};


$c=mysql_query("SELECT * FROM `kolhoz_gorod_zaks` WHERE `on`='".$ku['nick']."' OR `ona`='".$ku['nick']."'");
$c=mysql_fetch_assoc($c);
if(!empty($c['onayes']) && !empty($c['onyes'])){
echo '<br/>Поздравляем! Ваш брак состоялся! Теперь вы законный муж и жена!';
if($ku['pol']==1){
mysql_query("UPDATE `kolhoz_user` SET `gorod_brak`='".$c['ona']."' WHERE `id`='".$ku['id']."'");
mysql_query("UPDATE `kolhoz_user` SET `gorod_brak`='".$c['on']."' WHERE `nick`='".$c['ona']."'");
}else{
mysql_query("UPDATE `kolhoz_user` SET `gorod_brak`='".$c['on']."' WHERE `id`='".$ku['id']."'");
mysql_query("UPDATE `kolhoz_user` SET `gorod_brak`='".$ku['nick']."' WHERE `nick`='".$c['on']."'");
};
mysql_query("DELETE FROM `kolhoz_gorod_zaks` WHERE `on`='".$ku['nick']."' OR `ona`='".$ku['nick']."'");
};

echo '<br/><a href="?zags">В загс</a>';
break;

case 'go':
$name=htmlspecialchars(mysql_real_escape_string(trim($_POST['name'])));
if(!$name){echo 'Пустые параметры!';break;};
$x=mysql_query("SELECT * FROM `kolhoz_user` WHERE `nick`='$name'");
if(!mysql_num_rows($x)){echo 'Такого пользователя не существует!';break;};
$bv=mysql_query("SELECT * FROM `kolhoz_gorod_zaks` WHERE `avtor`='".$ku['nick']."'");
if(mysql_num_rows($bv)!=0){echo 'Вы уже ждёте свадьбу!';break;};
$x=mysql_fetch_array($x);
if($x['pol']==$ku['pol']){echo 'Однополые браки строго запрещены!';break;};
if($x['nick']==$ku['nick']){echo 'Вы хотите женится сам на себе?';break;};
if($ku['pol']==1){
mysql_query("INSERT INTO `kolhoz_gorod_zaks` (`date`,`on`,`ona`,`avtor`)VALUES('".(time()+60*15)."','".$ku['nick']."','$name','".$ku['nick']."')");
}else{
mysql_query("INSERT INTO `kolhoz_gorod_zaks` (`date`,`on`,`ona`,`avtor`)VALUES('".(time()+60*15)."','$name','".$ku['nick']."','".$ku['nick']."')");
};
$msg_game='Вам назначена свадьба пользователем '.$x['avtor'].'! Приходите '.date("H:i:s, d-m-Y",(time()+60*15)-600).' в загс!';

mysql_query("INSERT INTO `kolhoz_mail` (`id_kont`, `id_user`, `msg`, `time`) values('0', '".$x['id']."', '$msg_game', '".time()."')");


echo 'Свадьба назначена на '.date("H:i:s, d-m-Y",(time()+60*15)-600).'<br/>';
break;








};
  echo'</div>';
}else{
echo '<div class="msg">Свадьба временно закрыта администрацией</div>';
};

?>
